
Redmine - Defect #14334

[BUG] Segmentation fault ruby 1.8.7

2013-06-24 08:57 - Sandeep Soni

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.0

Description

/usr/local/rvm/gems/ruby-1.9.3-p429/gems/json-1.8.0/lib/json/ext/parser.so: [BUG] Segmentation fault

ruby 1.8.7 (2011-06-30 patchlevel 352) [i386-linux]

Application root

/var/www/redmine

Environment (value of RAILS_ENV, RACK_ENV, WSGI_ENV and PASSENGER_ENV)

production

Ruby interpreter command

/usr/bin/ruby

User and groups

uid=48(apache) gid=48(apache) groups=48(apache) context=unconfined_u:system_r:passenger_t:s0

Environment variables

rvm_bin_path=/usr/local/rvm/bin

HOSTNAME=localhost.localdomain

GEM_HOME=/usr/local/rvm/gems/ruby-1.9.3-p429

SHELL=/sbin/nologin

TERM=xterm

HISTSIZE=1000

IRBRC=/usr/local/rvm/rubies/ruby-1.9.3-p429/.irbrc

QTDIR=/usr/lib/qt-3.3

PASSENGER_DEBUG_DIR=/tmp/passenger.spawn-debug.11642-3054505644

MY_RUBY_HOME=/usr/local/rvm/rubies/ruby-1.9.3-p429

QTINC=/usr/lib/qt-3.3/include

USER=apache

rvm_path=/usr/local/rvm

rvm_prefix=/usr/local

MAIL=/var/spool/mail/apache

PATH=/usr/local/rvm/gems/ruby-1.9.3-p429/bin:/usr/local/rvm/gems/ruby-1.9.3-p429@global/bin:/usr/local/rvm/rubies/ruby-1.9.3-p42

9/bin:/usr/local/rvm/bin:/usr/lib/qt-3.3/bin:/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/sbin

PWD=/var/www/redmine

LANG=C

rvm_env_string=ruby-1.9.3-p429

SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass

HISTCONTROL=ignoredups

rvm_version=1.21.1 (stable)

HOME=/var/www

SHLVL=2

rvm_ruby_string=ruby-1.9.3-p429

LOGNAME=apache

QTLIB=/usr/lib/qt-3.3/lib

GEM_PATH=/usr/local/rvm/gems/ruby-1.9.3-p429:/usr/local/rvm/gems/ruby-1.9.3-p429@global

LESSOPEN=|/usr/bin/lesspipe.sh %s

RUBY_VERSION=ruby-1.9.3-p429

G_BROKEN_FILENAMES=1

IN_PASSENGER=1

PYTHONUNBUFFERED=1

RAILS_ENV=production

RACK_ENV=production

WSGI_ENV=production

PASSENGER_ENV=production

SERVER_PORT=80
REQUEST_URI=/

REMOTE_ADDR=192.168.154.1

DOCUMENT_ROOT=/var/www/redmine/public

SERVER_NAME=192.168.154.128

REMOTE_PORT=49507

SERVER_PROTOCOL=HTTP/1.1

SERVER_SOFTWARE=Apache/2.2.15 (CentOS)

SERVER_ADDR=192.168.154.128

SERVER_ADMIN=root@localhost

QUERY_STRING=

REQUEST_METHOD=GET

Ulimits

Unknown

System memory usage

total       used       free     shared    buffers     cached

Mem:          1006        476        530          0         88        260

-/+ buffers/cache:        126        879

Swap:         2015          0       2015

General Ruby interpreter information

RUBY_VERSION = 1.8.7

RUBY_PLATFORM = i386-linux

RUBY_ENGINE = nil

RubyGems version = 1.3.7

Ruby configuration (RbConfig::CONFIG)

vendorlibdir = /usr/lib/ruby/1.8

PACKAGE_STRING =

TEENY = 7

COMMON_MACROS =

PREP = miniruby

AS = as

LIBEXT = a

CPP = gcc -E

DLEXT2 =

sharedstatedir = /var/lib

mandir = /usr/share/man

EXTSTATIC =

RUBYW_INSTALL_NAME =

CC = gcc

STRIP = strip -S -x

archdir = /usr/lib/ruby/1.8/i386-linux

libexecdir = /usr/libexec

ECHO_T =

INSTALL_DATA = /usr/bin/install -c -m 644

LIBRUBY_DLDFLAGS = -Wl,-soname,libruby.so.1.8

EXTOUT = .ext

ENABLE_SHARED = yes

LDSHARED = gcc -shared

sitedir = /usr/lib/ruby/site_ruby

RPATHFLAG =

EXPORT_PREFIX =

RUBY_SO_NAME = ruby

PATCHLEVEL = 352

EGREP = /bin/grep -E

OBJEXT = o

ECHO_N = -n

ruby_mm_version = 1.8

LIBRUBYARG_SHARED = -lruby

MAKEFILES = Makefile

host_alias = i386-redhat-linux-gnu

cflags =

DLLWRAP =

LIBPATHFLAG =  -L%s

target_vendor = redhat

optflags =

OBJDUMP =

LIBRUBY = libruby.so.1.8.7

cppflags =
LIBRUBYARG_STATIC = -lruby-static

ASFLAGS =

prefix = /usr

target_alias = i686-redhat-linux-gnu

setup = Setup

arch = i386-linux

rubyw_install_name =

CP = cp

SOLIBS = -lpthread -lrt -ldl -lcrypt -lm

sysconfdir = /etc

RDOCTARGET =

SET_MAKE =

oldincludedir = /usr/include

htmldir = /usr/share/doc/$(PACKAGE)

COMMON_LIBS =

EXEEXT =

localstatedir = /var

RM = rm -f

TRY_LINK =

host_vendor = redhat

PATH_SEPARATOR = :

PACKAGE_VERSION =

ARCHFILE =

configure_args =  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i686-redhat-linux-gnu' '--program-prefix='

'--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share'

'--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib'

'--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-default-kcode=none' '--enable-shared' '--enable-pthread' '--disable-rpath'

'--with-readline-include=/usr/include/readline5' '--with-readline-lib=/usr/lib/readline5' '--enable-dtrace'

'--with-sitedir=/usr/lib/ruby/site_ruby' '--with-sitearchdir=/usr/lib/ruby/site_ruby' '--with-vendordir=/usr/lib/ruby'

'--with-vendorarchdir=/usr/lib/ruby' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu'

'target_alias=i686-redhat-linux-gnu' 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector

--param=ssp-buffer-size=4 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -fno-strict-aliasing'

LIBS = -lpthread -lrt -ldl -lcrypt -lm

DLDLIBS =  -lc

RANLIB = ranlib

topdir = /usr/lib/ruby/1.8/i386-linux

DEFS = -D_FILE_OFFSET_BITS=64

RUBY_INSTALL_NAME = ruby

YACC = bison -y

GREP = /bin/grep

LIBRUBY_ALIASES = libruby.so.1.8 libruby.so

DLEXT = so

WINDRES =

host_cpu = i386

ruby_install_name = ruby

ALLOCA =

SHELL = /bin/sh

ECHO_C =

target_os = linux

DLDFLAGS =

LIBRUBYARG = -lruby

infodir = /usr/share/info

target_cpu = i386

CFLAGS = -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32

-march=i686 -mtune=atom -fasynchronous-unwind-tables -fno-strict-aliasing  -fPIC

LIBRUBY_LDSHARED = gcc -shared

ARCH_FLAG =

sitearch = i386-linux

INSTALL_PROGRAM = /usr/bin/install -c

ruby_version = 1.8

datadir = /usr/share

localedir = /usr/share/locale

host_os = linux-gnu

sitearchdir = /usr/lib/ruby/site_ruby/1.8/i386-linux

LINK_SO =

NROFF = /usr/bin/nroff

COMMON_HEADERS =
PACKAGE_TARNAME =

psdir = /usr/share/doc/$(PACKAGE)

vendordir = /usr/lib/ruby

INSTALL = /usr/bin/install -c

CPPFLAGS =  -D_FILE_OFFSET_BITS=64

LIBRUBY_SO = libruby.so.1.8.7

LDFLAGS = -L.  -rdynamic -Wl,-export-dynamic

pdfdir = /usr/share/doc/$(PACKAGE)

AR = ar

LN_S = ln -s

MAJOR = 1

DTRACE_HEADER = dtrace.h

DESTDIR =

build_alias = i386-redhat-linux-gnu

bindir = /usr/bin

datarootdir = /usr/share

build_vendor = redhat

CPPOUTFILE = -o conftest.i

GNU_LD = yes

CCDLFLAGS =  -fPIC

build_os = linux-gnu

build_cpu = i386

includedir = /usr/include

MAKEDIRS = mkdir -p

build = i386-redhat-linux-gnu

MANTYPE = doc

LIBPATHENV = LD_LIBRARY_PATH

host = i386-redhat-linux-gnu

vendorarchdir = /usr/lib/ruby/1.8/i386-linux

PACKAGE_BUGREPORT =

sbindir = /usr/sbin

rubylibdir = /usr/lib/ruby/1.8

PACKAGE_NAME =

exec_prefix = /usr

dvidir = /usr/share/doc/$(PACKAGE)

INSTALL_SCRIPT = /usr/bin/install -c

debugflags =

NM =

libdir = /usr/lib

YFLAGS =

MINOR = 8

MAINLIBS =

target = i686-redhat-linux-gnu

docdir = /usr/share/doc/$(PACKAGE)

OUTFLAG = -o

STATIC =

sitelibdir = /usr/lib/ruby/site_ruby/1.8

LIBRUBY_A = libruby-static.a

Activated Ruby gems

rubygems-bundler => 1.2.0

bundler-unload => 1.0.1

Ruby load path ($LOAD_PATH)

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib

/usr/local/rvm/gems/ruby-1.9.3-p429@global/gems/bundler-unload-1.0.1/bin

/usr/local/rvm/gems/ruby-1.9.3-p429@global/gems/bundler-unload-1.0.1/lib

/usr/local/rvm/gems/ruby-1.9.3-p429@global/gems/rubygems-bundler-1.2.0/bin

/usr/local/rvm/gems/ruby-1.9.3-p429@global/gems/rubygems-bundler-1.2.0/lib

/usr/lib/ruby/site_ruby/1.8

/usr/lib/ruby/site_ruby/1.8/i386-linux

/usr/lib/ruby/site_ruby

/usr/lib/site_ruby/1.8

/usr/lib/site_ruby/1.8/i386-linux

/usr/lib/site_ruby

/usr/lib/ruby/1.8

/usr/lib/ruby/1.8/i386-linux

.

Ruby loaded libraries ($LOADED_FEATURES)
enumerator.so

phusion_passenger.rb

rbconfig.rb

etc.so

fileutils.rb

tmpdir.rb

phusion_passenger/utils/tmpio.rb

phusion_passenger/platform_info.rb

phusion_passenger/platform_info/ruby.rb

phusion_passenger/platform_info/operating_system.rb

phusion_passenger/platform_info/binary_compatibility.rb

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/libout/ruby/ruby-1.8.7-x86-linux/passenger_native_support.so

phusion_passenger/native_support.rb

rubygems/defaults.rb

thread.so

thread.rb

rubygems/exceptions.rb

rubygems/version.rb

rubygems/requirement.rb

rubygems/dependency.rb

rubygems/gem_path_searcher.rb

rubygems/user_interaction.rb

rubygems/platform.rb

rubygems/specification.rb

rubygems/source_index.rb

rubygems/builder.rb

rubygems/config_file.rb

rubygems/custom_require.rb

rubygems-bundler/wrapper.rb

rubygems-bundler/rubygems_bundler_installer.rb

timeout.rb

optparse.rb

rubygems/command.rb

rubygems/command_manager.rb

find.rb

stringio.so

yaml/error.rb

syck.so

yaml/ypath.rb

yaml/basenode.rb

yaml/syck.rb

yaml/tag.rb

yaml/stream.rb

yaml/constants.rb

rational.rb

date/format.rb

date.rb

yaml/rubytypes.rb

yaml/types.rb

yaml.rb

zlib.so

digest.so

digest.rb

openssl.so

openssl/bn.rb

openssl/cipher.rb

openssl/config.rb

openssl/digest.rb

openssl/pkcs7.rb

openssl/buffering.rb

fcntl.so

openssl/ssl-internal.rb

openssl/x509-internal.rb

openssl.rb

rubygems/gem_openssl.rb

rubygems/security.rb

rubygems/package/f_sync_dir.rb
rubygems/package/tar_header.rb

rubygems/package/tar_input.rb

rubygems/package/tar_output.rb

rubygems/package/tar_reader/entry.rb

rubygems/package/tar_reader.rb

rubygems/package/tar_writer.rb

rubygems/package.rb

rubygems/format.rb

rubygems/ext/builder.rb

rubygems/ext/configure_builder.rb

rubygems/ext/ext_conf_builder.rb

rubygems/ext/rake_builder.rb

rubygems/ext.rb

rubygems/require_paths_builder.rb

rubygems/installer.rb

rubygems-bundler/regenerate_binstubs_command.rb

rubygems.rb

socket.so

phusion_passenger/ruby_core_enhancements.rb

phusion_passenger/utils/tmpdir.rb

phusion_passenger/preloader_shared_helpers.rb

phusion_passenger/public_api.rb

phusion_passenger/debug_logging.rb

phusion_passenger/loader_shared_helpers.rb

phusion_passenger/constants.rb

phusion_passenger/message_channel.rb

phusion_passenger/utils.rb

phusion_passenger/message_client.rb

phusion_passenger/utils/unseekable_socket.rb

phusion_passenger/request_handler/thread_handler.rb

phusion_passenger/request_handler.rb

phusion_passenger/utils/tee_input.rb

phusion_passenger/rack/thread_handler_extension.rb

History

#1 - 2013-06-24 10:49 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

It is obvious that your Ruby is broken.

#2 - 2013-06-25 13:16 - Sandeep Soni

Oh Yes, thanks, i got it working, the reason was i had installed ruby 1.8.7 using yum and then 1.9.3 using rvm, i removed the 1.8 ruby with yum

remove command and also removed passenger and reinstalled the passenger. and it worked.
